#
# spec file for package cosmic-screenshot
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.system76.CosmicScreenshot
Name:           cosmic-screenshot
Version:        1.0.0~alpha6+0
Release:        1.3
Summary:        Utility for capturing screenshots via XDG Desktop Portal
License:        GPL-3.0-only
URL:            https://github.com/pop-os/cosmic-screenshot
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  hicolor-icon-theme
BuildRequires:  just

%description
%{summary}.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg

%changelog
* Sat Feb 22 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha6+0:
  * same as 1.0.0~alpha5.1+0
- switch to obs_scm
* Sat Jan 18 2025 rrahl0@opensuse.org
- Update to version 1.0.0~alpha5.1+0:
  * improv: reduce binary size (5.9 MB => 2.7 MB)
  * feat: make notification transient and clippy happy
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 1.0.0~alpha4+0:
  * update icon
  * chore: update notification icon and text
  * Update justfile
  * chore: update icon
  * support CARGO_TARGET_DIR
  * feat: add notification for clipboard
  * Fix .desktop file installation from justfile
  * chore: add desktop file
* Fri Nov  1 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha3:
  * same as alpha2, and alpha2 is same as alpha1
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Wed Aug  7 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha1:
  * update icon
  * chore: update notification icon and text
  * Update justfile
- enable leap (thanks to vyvir)
* Thu Mar 14 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
